/*
 * |-----------------------------------------------------------|
 * | Copyright (c) 1990 MIPS Computer Systems, Inc.            |
 * | All Rights Reserved                                       |
 * |-----------------------------------------------------------|
 * |          Restricted Rights Legend                         |
 * | Use, duplication, or disclosure by the Government is      |
 * | subject to restrictions as set forth in                   |
 * | subparagraph (c)(1)(ii) of the Rights in Technical        |
 * | Data and Computer Software Clause of DFARS 52.227-7013.   |
 * |         MIPS Computer Systems, Inc.                       |
 * |         928 Arques Avenue                                 |
 * |         Sunnyvale, CA 94086                               |
 * |-----------------------------------------------------------|
 */
/* $Header: widec.h,v 1.1.2.1 92/06/24 13:57:29 marker Exp $ */

/*	Copyright (c) 1988 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#ident	"@(#)head:MNLSwidec.h 1.0 AT&T-UP"


/* declaration of a wide character data type			*/
typedef unsigned long wchar_t;

/* Character based input and output functions			*/
extern	int		fgetwc(), fputwc(), ungetwc();
extern	wchar_t		*getws(), *fgetws();
extern	int		putws(), fputws();
#ifdef	__STDC__
extern  char	*popwchar(char *, wchar_t *);
extern  char	*pushwchar(wchar_t, char *, const char *);
#else
extern  char	*popwchar();
extern  char	*pushwchar();
#endif
#define	getwc(p)	fgetwc(p)
#define	putwc(x, p)	fputwc(x, p)
#define getwchar()	getwc(stdin)
#define putwchar(x)	putwc((x), stdout)

/* wchar_t string operation functions				*/

extern wchar_t
	*wscpy(),
	*wsncpy(),
	*wscat(),
	*wsncat(),
	*wschr(),
	*wsrchr(),
	*wspbrk(),
	*wstok();
extern int
	wscmp(),
	wsncmp(),
	wslen(),
	wsspn(),
	wscspn();
extern char
	*wstostr();
extern	wchar_t
	*strtows();
